Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore.background
Class FrameCalculator

    java.lang.Object
      edu.stanford.smi.protege.server.framestore.background.FrameCalculator

    public class FrameCalculator

extends Object

This class is a thread that precalculates frames needed by a client.

Author:
  tredmond

Nested Class Summary
`static class` | `FrameCalculator.FrameCalculatorStatsImpl`

Field Summary
`static long` | `MAX_WORKINFO_QUEUE`
`static long` | `WAIT_FOR_OVERLOADED_CLIENT`

Constructor Summary
`FrameCalculator(FrameStore fs, ServerCacheStateMachine machine, Object kbLock, FifoWriter<ValueUpdate> updates, ServerFrameStore server, Map<RemoteSession,Registration> sessionMap)`

Method Summary
`void` | `addFollowedExprs(Frame frame, Slot slot, List values)`
`WorkInfo` | `addRequest(Frame frame, RemoteSession session, CacheRequestReason reason)`
`WorkInfo` | `addRequest(Frame frame, RemoteSession session, ServerCachedState state, CacheRequestReason reason, boolean forceUpdate)`
`void` | `deregister(RemoteSession session)`
`Object` | `getRequestLock()`
`FrameCalculatorStats` | `getStats()`
`boolean` | `inFrameCalculatorThread()`
`boolean` | `isDisabled(RemoteSession session)`
`void` | `logRequests()`
`static void` | `setDisabled(boolean disabled)`
`boolean` | `setDisabled(boolean disabled, RemoteSession session)`
`void` | `setStateMachine(ServerCacheStateMachine machine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WAIT_FOR_OVERLOADED_CLIENT

    public static long WAIT_FOR_OVERLOADED_CLIENT

### MAX_WORKINFO_QUEUE

    public static long MAX_WORKINFO_QUEUE

Constructor Detail

### FrameCalculator

    public FrameCalculator(FrameStore fs,
                           ServerCacheStateMachine machine,
                           Object kbLock,
                           FifoWriter<ValueUpdate> updates,
                           ServerFrameStore server,
                           Map<RemoteSession,Registration> sessionMap)

Method Detail

### setStateMachine

    public void setStateMachine(ServerCacheStateMachine machine)

### addFollowedExprs

    public void addFollowedExprs(Frame frame,
                                 Slot slot,
                                 List values)

### addRequest

    public WorkInfo addRequest(Frame frame,
                               RemoteSession session,
                               CacheRequestReason reason)

### addRequest

    public WorkInfo addRequest(Frame frame,
                               RemoteSession session,
                               ServerCachedState state,
                               CacheRequestReason reason,
                               boolean forceUpdate)

### deregister

    public void deregister(RemoteSession session)

### isDisabled

    public boolean isDisabled(RemoteSession session)

### setDisabled

    public static void setDisabled(boolean disabled)

### setDisabled

    public boolean setDisabled(boolean disabled,
                               RemoteSession session)

### getStats

    public FrameCalculatorStats getStats()

### logRequests

    public void logRequests()

### getRequestLock

    public Object getRequestLock()

### inFrameCalculatorThread

    public boolean inFrameCalculatorThread()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.